Subject: [alpine-devel] [PATCH] testing/xbattmon: new aport

From: Dimitris Papastamos <[email-masked]>
Date: Wed, 11 Mar 2015 00:03:42 +0000

See the attached patch.
>From 0cbf268476df8338e62f0d67f8788fe9bc178dd2 Mon Sep 17 00:00:00 2001
From: sin <[email-masked]>
Date: Tue, 10 Mar 2015 23:28:19 +0000
Subject: [PATCH] testing/xbattmon: new aport

a simple battery monitor
http://git.2f30.org/xbattmon
---
 testing/xbattmon/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/xbattmon/APKBUILD

diff --git a/testing/xbattmon/APKBUILD b/testing/xbattmon/APKBUILD
new file mode 100644
index 0000000..23d01bf
--- /dev/null
+++ b/testing/xbattmon/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: sin <[email-masked]>
+# Maintainer: sin <[email-masked]>
+pkgname=xbattmon
+pkgver=0.7
+pkgrel=0
+pkgdesc="a simple battery monitor"
+url="http://git.2f30.org/xbattmon"
+arch="all"
+license="ISC"
+depends=""
+depends_dev=""
+makedepends="$depends_dev libx11-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://dl.2f30.org/releases/xbattmon-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+}
+md5sums="534fd62ee1807795e0d8922e32d3f51f  xbattmon-0.7.tar.gz"
+sha256sums="01ff252a431f00e86215a01a8864dc1a65595aaccf2d5fce25911b55f1e5115e  xbattmon-0.7.tar.gz"
+sha512sums="e12e21aa56b9e1efd28b8a175a420fb3a6dae15926757a12f8769b9349f60479cef60a1b23360d7dee1999c9d27c71611c0dd9755d769adcfc39ac049bd8d942  xbattmon-0.7.tar.gz"
-- 
2.3.2

---

From: Natanael Copa <[email-masked]>
Date: Mon, 16 Mar 2015 15:09:38 +0100

On Wed, 11 Mar 2015 00:03:42 +0000

> See the attached patch.

applied.

please use alpine-aports for patches in future.

thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---